#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long x1, y1, x2, y2, k;
    cin >> x1 >> y1 >> x2 >> y2;

    if (x1 != x2 && y1 != y2) {
        if ((max(x1, x2) - min(x1, x2)) != (max(y1, y2) - min(y1, y2))) {
            k = 0;
        }
        else {
            k = 1;
        }
    }
    else if (x1 == x2 && y1 != y2 || x1 != x2 && y1 == y2) {
        k = 2;
    }

    cout << k;
}